std::default_delete< _Tp > Struct Template Reference
Utilities » Memory » Pointer Abstractions

## Public Member Functions

constexpr | default_delete () noexcept=default
template<typename _Up , typename = typename enable_if<is_convertible<_Up*, _Tp*>::value>::type>
| default_delete (const default_delete< _Up > &) noexcept
void | operator() (_Tp *__ptr) const

## Detailed Description

### template<typename _Tp>
struct std::default_delete< _Tp >

Primary template of default_delete, used by unique_ptr.

Definition at line 59 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h